Subject: Re: [PATCH 0/2] Add LED mode behavior/select properties and handle

From: Pavel Machek <[email-masked]>
Date: Wed, 16 Dec 2020 23:41:19 +0100

Hi!

> In KSZ9131 PHY it is possible to control LEDs blink behavior via
> LED mode behavior and select registers. Add DTS properties plus handles
> of them inside micrel PHY driver.
> 
> I've some concerns about passing raw register values into LED mode
> select and behavior. It can be passed via array like in microchip
> driver(Documentation/devicetree/bindings/net/microchip,lan78xx.txt).
> There is the problem in this particular driver - there is a lot of other PHYs
> and led mode behavior/select states may intersect, that's the reason why
> I did it this way. Is there any good ways to make it look more
> properly?

Lets... not do this?

We have a LED subsystem which should probably control the LEDs... so
user can specify behaviours at run-time, instead of them being
hard-coded in the device tree.

Plus, LED subsystem will use same interface for networks LEDs as for
... other LEDs.

Best regards,
									Pavel
-- 
http://www.livejournal.com/~pavelmachek